<div class="container">
  <div class="card">
    <div class="card-header">
      <h3 class="text-center"><b>Formulario de suministros</b></h3>
    </div>
      <div class="card-body justify-content-center">
        <form class="mt-3 col-md-10 offset-md-3" (ngSubmit)="onSave()" [formGroup]="suministroForm">
        <div class="form-row">
          <div class="form-group col-md-6">
            <label> Asignar requisición </label>
            <select class="form-control form-select" formControlName="requisicion_id" [class]="isValidField('requisicion_id')">
              <option [ngValue]="null">Seleccionar requisición</option>
              <option *ngFor="let item of $requisic | async" [ngValue]="item.obra_id">{{item.obra_id}}</option>
            </select>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-md-6">
            <label> Requisitador </label>
            <select class="form-control form-select" formControlName="requisitador_id" [class]="isValidField('requisitador_id')">
              <option [ngValue]="null">Seleccionar requisitador</option>
              <option *ngFor="let item of $requisitadores | async" [ngValue]="item.nombre">{{item.nombre}} {{item.apat}} {{item.amat}}</option>
            </select>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-md-6">
            <label> Fecha de suministro </label>
            <input type="date" formControlName="fecha_suministro" class="form-control" [class]="isValidField('fecha_suministro')">
          </div>
        </div>
          <div class="form-row"  *ngIf="router.url === '/ordensuminis/edit'">
            <div class="form-group col-md-6">
              <label> Estatus </label>
              <input class="form-control form-select" formControlName="estatus_id" [class]="isValidField('estatus_id')">
            </div>
          </div>
          <div class="d-grid gap-2 col-8 mx-auto">
            <button class="btn btn-success btn-md-8">Guardar datos</button>
          </div>
        </form>
        <div class="row">
          <button type="button" class="btn btn-primary mt-2" (click)="onGoBackToList()">Regresar al listado</button>
        </div>
      </div>
  </div>
</div>
